<div class="s-bk-lf">
	<div class="acc-title">Суппорт</div>
</div>


<? 

if(isset($_SESSION['user_id'])){
if(isset($_POST['ans_go'])){
$id_m = $_POST['id_mes'];
$date = time();
$ans = $_POST['ans'];
$db->Query("INSERT INTO `ot_sup` (`id_mes`,`user`,`text`,`date`)VALUES('$id_m','$_SESSION[user]','$ans','$date')") or die(mysql_error());
echo "<center><b><font color='green'>Тикет успешно создан. :)</font></b></center><br>";

$db->Query("UPDATE support SET status='0' WHERE id='$id_m'");

}




if(isset($_POST['submit_rit'])){
$tima = $_POST['title_g'];



$sod = $_POST['post_g'];
if($tima==""){$err[] = 'Заполните поле Тема';}
elseif($sod==""){$err[] = 'Заполните поле Содержание';}
$date = time();
if(empty($err)){
$db->Query("INSERT INTO `support` (`user`,`title`,`text`,`date`,`status`)VALUES('$_SESSION[user]','$tima','$sod','$date','0')") or die(mysql_error());
echo "<center><b><font color='green'>Тикет успешно создан. :)</font></b></center><br>";
}else{
foreach($err AS $error)
echo "<span id='erorr'  class='msgbox-error'>".$error."</span>";

}
}
?>




<script type="text/javascript" language="JavaScript">
            $(document).ready(function(){
                $("#addreply").click(function(){
                    $("#replyblock").fadeIn("slow");
                    document.getElementById('replybtn').innerHTML = "<span class='button-gray'>Ответить</span>";
                });
            })
            function appendtag(text1, text2)
            {
                if ((document.selection))
                {
                    document.surforder.ask_desc.focus();
                    document.surforder.document.selection.createRange().text = text1+document.surforder.document.selection.createRange().text+text2;
                } else if(document.surforder.ask_desc.selectionStart != undefined) {
                    var element    = document.surforder.ask_desc;
                    var str     = element.value;
                    var start    = element.selectionStart;
                    var length    = element.selectionEnd - element.selectionStart;
                    element.value = str.substr(0, start) + text1 + str.substr(start, length) + text2 + str.substr(start + length);
                } else document.surforder.ask_desc.value += text1+text2;
            }
            function showclose()
            {
                $('#basic-modal-content').modal();
                return false;
            }            
        </script>
<script type='text/javascript' src='/js/jquery.simplemodal.js'></script>
<script type='text/javascript' src='/js/guibasic.js'></script>
<script type="text/javascript" language="JavaScript">
            function ClearForm()
            {
                document.forms['mailform'].scount.value = 'Осталось 1500 символов';
            }
            function descchange(elem)
            {
                if (elem.value.length > 1500) {
                    elem.value = elem.value.substr(0,1500);
                }
                document.forms['mailform'].scount.value = 'Осталось '+(1500-elem.value.length)+' символов';
            }

        </script>


		
	        <ul class="nav nav-tabs">
              <li  <?if(empty($_GET['type'])){?>class="active"<?}?>><a href="/?menu=support" data-toggle="tab">Создать запрос</a></li>
              <li <?if(isset($_GET['type'])){?>class="active"<?}?>><a href="/?menu=support&type=all" data-toggle="tab">Мои тикеты</a></li>
           
            </ul>	
		


<?if(empty($_GET['type']) and empty($_GET['tiketid'])){?>




<div class="silver-bk">
            <div class="tab-content">

<div class="tab-pane active" id="create-ticket">
              <div class="row-fluid" style="">
                <div class="span12">

                  <label class="control-label" for="title"><u>Прежде чем создать тикет, убедитесь, что нужной вам информации нет на сайте! Время ожидания ответа - до 24 часов!</u></label>
                </div>
              </div>
              <div class="row-fluid" style="">
                <div class="span12">
<form name="mailform" id="mailform" method="POST" action="">
            <div align="center">
              <input size='40' type="text" name="title_g" value=''>
                
                
                
            </div>
              <div class="row-fluid">
                <div class="span12">
                  <label class="control-label" for="inputMessage">Содержание запроса:</label>
                </div>
            </div>
              <div class="row-fluid">
                <div class="span12">
                  <textarea class="input-block-level" name="post_g" rows="6" cols='65' onkeyup="descchange(this);"  placeholder="Как можно подробнее опишите вашу проблему. Например: если у вас проблема с платежом, то вам необходимо отправить название системы оплаты, дату, время, как пополняли (вручную или нет) и.т.д."></textarea>
                </div>
              </div>
              <div class="row-fluid">
                <div class="span12">
                  <input class="scount input-block-level text-center" type="text" readonly="readonly" value="Осталось 1500 символов" maxlength="25" size="85" name="scount">
                </div>
              </div>
              <div class="row-fluid">
                <div class="span12">
 
<input class="btn btn-large btn-block" type='submit' name='submit_rit' value='Отправить' style="margin-top: 10px;" /> 
</form>
			

 </div>
</div></div></div></div>




<?}if(isset($_GET['type'])and empty($_GET['tiketid'])){?>



<div class="silver-bk">



<table cellpadding='3' cellspacing='0' border='0'  align='center' width="550" BGCOLOR="#FCF6C2" >
<thead>
	<tr style='background:#804040; '>
		
		<td style='border-radius:0px;color:#fff; text-align:center;'>
			Тема
		</td>
		
		<td style='border-radius:0px;color:#fff; text-align:center;'>
			Дата
		</td>
	<td style='border-radius:0px;color:#fff; text-align:center;'>
			Статус
		</td>	

	</tr>
</thead>
<tbody>


<?
		$sup = $db->Query("SELECT id,title,date,status FROM support WHERE user='$_SESSION[user]'  ORDER BY id DESC")or die(mysql_error());
while($_sup=$db->FetchArray($sup)){	
if($_sup['status']=='0'){$ot = 'В очереди';}else{$ot = 'Прочитано';}
?>

	<tr><td style='text-align:center;'><a href="/?menu=support&tiketid=<?=$_sup['id']?>"><?=$_sup['title']?></a></td>
	<td style='text-align:center;'><?=date('M-d-Y h:i',$_sup['date'])?></td><td style='text-align:center;'><?=$ot?></td><td></td>
	
	</tr>

<?}?>
</tbody>	
</table>


<?}
if(isset($_GET['tiketid'])){
$tid = $_GET['tiketid'];

?>

<div class="clr">

<?
$md = $db->Query("SELECT id,user,text,date FROM  support WHERE id='$tid'")or die(mysql_error());
$remd= $db->FetchArray($md);
$idd  = $remd['id'];
$user = $remd['user'];
$textd  = $remd['text'];
$dat  = $remd['date'];			
?>
<center>
<div style='border:1px solid #660066;border-radius:5px; padding:3px; background:#fff;'>
<div><b><?=$_SESSION['user']?></b>&nbsp;&nbsp;(<?=date('M-d-Y h:i',$dat)?>)</div>
<hr>
<div style='min-height:40px;'><?=$textd?></div>
</div><br>
<?$md2 = $db->Query("SELECT user,text,date FROM  ot_sup WHERE id_mes='$idd' ORDER BY id ASC")or die(mysql_error());
while($remd2= $db->FetchArray($md2)){
$idd2  = $remd2['id'];
$textd2  = $remd2['text'];
$dat2  = $remd2['date'];			
?>
<div style='border:1px solid #660066;border-radius:5px; padding:3px; background:#fff;'>
<div><b><?=$remd2['user']?></b>&nbsp;&nbsp;(<?=date('M-d-Y h:i',$dat2)?>)</div>
<hr>
<div style='min-height:40px;'><?=$textd2?></div>
</div><br>
<?}?>

</center>
<br>
<center>
<form method="post" action="">
Ответить<br>
<textarea name="ans" rows="6" cols="50"></textarea><br><br>
<input type="hidden" name="id_mes" value='<?=$idd?>'>
<input type="submit" name='ans_go' value="Отправить" onclick="">
</form>
</center>
<?}?>

</div>
</div>




	



   <div id="push"></div>
 

<?
}else{
?>



<div class="cl-right">


<script type="text/javascript">


function isNotMax(oTextArea) {
  return oTextArea.value.length <= oTextArea.getAttribute('maxlength');
}


function isNotMax(e){
  e = e || window.event;
  var target = e.target || e.srcElement;
  var code=e.keyCode?e.keyCode:(e.which?e.which:e.charCode)

  switch (code){
    case 13:
    case 8:
    case 9:
    case 46:
    case 37:
    case 38:
    case 39:
    case 40:
      return true;
  }
  return target.value.length <= target.getAttribute('maxlength');
}


</script>



Прежде чем обратиться в техническую поддержку, пожалуйста, авторизируйтесь!
</div>
<div class="clr"></div>
<!--<script id="_wauglh">var _wau = _wau || [];
_wau.push(["tab", "3q5r7800udvb", "glh", "right-middle"]);
(function() {var s=document.createElement("script"); s.async=true;
s.src="http://widgets.amung.us/tab.js";
document.getElementsByTagName("head")[0].appendChild(s);
})();</script>-->


<?


/*echo 'Помощь доступна только авторизированным участникам.';*/
}	
?>


<div class="clr">
</div>